## kcolorchooser 25.11.80

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "11")
set(RELEASE_SERVICE_VERSION_MICRO "80")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kcolorchooser VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION     "6.5.0")
set(KF_MIN_VERSION    "6.9.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMInstallIcons)
include(ECMAddAppIcon)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMSetupVersion)
include(ECMDeprecationSettings)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
  Core
  Gui
  Widgets)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
  CoreAddons
  I18n
  XmlGui)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
ecm_set_disabled_deprecation_versions(QT 6.9.0
     KF 6.13.0
    )

ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KCOLORCHOOSER VERSION_HEADER kcolorchooser_version.h)

add_executable(kcolorchooser)
target_sources(kcolorchooser PRIVATE kcolorchooser.cpp )


target_link_libraries(kcolorchooser
	Qt::Gui
	KF6::CoreAddons
	KF6::I18n
	KF6::XmlGui
)

install(TARGETS kcolorchooser  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.kcolorchooser.desktop DESTINATION  ${KDE_INSTALL_APPDIR})

ecm_install_icons(ICONS
  16-apps-kcolorchooser.png
  22-apps-kcolorchooser.png
  DESTINATION ${KDE_INSTALL_ICONDIR}
  THEME hicolor)

install(FILES org.kde.kcolorchooser.appdata.xml  DESTINATION  ${KDE_INSTALL_METAINFODIR})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)

=== debian/changelog ===
kcolorchooser (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:51:00 +0000

## kcolorchooser 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kcolorchooser VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kcolorchooser (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:02:39 +0000

## kcolorchooser 25.12.0

=== debian/changelog ===
kcolorchooser (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:18:17 +0000

## kcolorchooser 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kcolorchooser VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kcolorchooser (4:25.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (25.12.1).
  * debian/watch: Update to version 5.
  * debian/control: Bump Standards-Version to 4.7.3, Drop Priority: optional
    and Rules-Requires-Root: no.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Feb 2026 10:57:37 -0500

=== debian/control ===
Source: kcolorchooser
Section: kde
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.9.0~),
               libkf6coreaddons-dev (>= 6.9.0~),
               libkf6i18n-dev (>= 6.9.0~),
               libkf6xmlgui-dev (>= 6.9.0~),
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.3
Homepage: https://apps.kde.org/kcolorchooser
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcolorchooser
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcolorchooser.git

Package: kcolorchooser
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: color chooser and palette editor
 KColorChooser is a color palette tool, used to mix colors and create custom
 color palettes.  Using the dropper, it can obtain the color of any pixel on
 the screen.
 .
 A number of common color palettes are included, such as the standard Web colors
 and the Oxygen color scheme.
 .
 This package is part of the KDE graphics module.

## kcolorchooser 25.12.2

=== debian/changelog ===
kcolorchooser (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:20:55 +0000

kcolorchooser (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:01:03 +0000
